javax.transaction

## Interface UserTransaction

-     public interface UserTransaction

  The UserTransaction interface defines the methods that allow an application to explicitly manage transaction boundaries.

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `begin()` Create a new transaction and associate it with the current thread.
    `void` | `commit()` Complete the transaction associated with the current thread.
    `int` | `getStatus()` Obtain the status of the transaction associated with the current thread.
    `void` | `rollback()` Roll back the transaction associated with the current thread.
    `void` | `setRollbackOnly()` Modify the transaction associated with the current thread such that the only possible outcome of the transaction is to roll back the transaction.
    `void` | `setTransactionTimeout(int seconds)` Modify the timeout value that is associated with transactions started by the current thread with the begin method.

- - ### Method Detail

    - #### begin

          void begin()
                     throws NotSupportedException,
                            SystemException

      Create a new transaction and associate it with the current thread.
      Throws:
        `NotSupportedException` - Thrown if the thread is already associated with a transaction and the Transaction Manager implementation does not support nested transactions.
        `SystemException` - Thrown if the transaction manager encounters an unexpected error condition.

    - #### commit

          void commit()
                      throws RollbackException,
                             HeuristicMixedException,
                             HeuristicRollbackException,
                             SecurityException,
                             IllegalStateException,
                             SystemException

      Complete the transaction associated with the current thread. When this method completes, the thread is no longer associated with a transaction.
      Throws:
        `RollbackException` - Thrown to indicate that the transaction has been rolled back rather than committed.
        `HeuristicMixedException` - Thrown to indicate that a heuristic decision was made and that some relevant updates have been committed while others have been rolled back.
        `HeuristicRollbackException` - Thrown to indicate that a heuristic decision was made and that all relevant updates have been rolled back.
        `SecurityException` - Thrown to indicate that the thread is not allowed to commit the transaction.
        `IllegalStateException` - Thrown if the current thread is not associated with a transaction.
        `SystemException` - Thrown if the transaction manager encounters an unexpected error condition.

    - #### rollback

          void rollback()
                        throws IllegalStateException,
                               SecurityException,
                               SystemException

      Roll back the transaction associated with the current thread. When this method completes, the thread is no longer associated with a transaction.
      Throws:
        `SecurityException` - Thrown to indicate that the thread is not allowed to roll back the transaction.
        `IllegalStateException` - Thrown if the current thread is not associated with a transaction.
        `SystemException` - Thrown if the transaction manager encounters an unexpected error condition.

    - #### setRollbackOnly

          void setRollbackOnly()
                               throws IllegalStateException,
                                      SystemException

      Modify the transaction associated with the current thread such that the only possible outcome of the transaction is to roll back the transaction.
      Throws:
        `IllegalStateException` - Thrown if the current thread is not associated with a transaction.
        `SystemException` - Thrown if the transaction manager encounters an unexpected error condition.

    - #### getStatus

          int getStatus()
                        throws SystemException

      Obtain the status of the transaction associated with the current thread.
      Returns:
        The transaction status. If no transaction is associated with the current thread, this method returns the Status.NoTransaction value.
      Throws:
        `SystemException` - Thrown if the transaction manager encounters an unexpected error condition.

    - #### setTransactionTimeout

          void setTransactionTimeout(int seconds)
                                     throws SystemException

      Modify the timeout value that is associated with transactions started by the current thread with the begin method.

      If an application has not called this method, the transaction service uses some default value for the transaction timeout.

      Parameters:
        `seconds` - The value of the timeout in seconds. If the value is zero, the transaction service restores the default value. If the value is negative a SystemException is thrown.
      Throws:
        `SystemException` - Thrown if the transaction manager encounters an unexpected error condition.

Copyright © 1996-2013, Oracle and/or its affiliates. All Rights Reserved. Use is subject to license terms.